﻿import es
import gamethread
import cfglib




config = cfglib.AddonCFG(es.getAddonPath("overlay") + "/settings.cfg")
config.text("**************************")
config.text("Addon Settings    ")
config.text("**************************")
CTPath = config.cvar("CTPath",   'overlays/examplecounterterrorist.vtf', "Path to the CT overlay (without cstrike/materials)(Example for ZR (CT): overlays/zr/humans_win.vtf)")
TPath = config.cvar("TPath",   'overlays/exampleterrorist.vtf', "Path to the T overlay (without cstrike/materials)(Example for ZR (T): overlays/zr/zombies_win.vtf))")
Time = config.cvar("Time",   4, "How long should be the Overlay shown?")
config.write()


def load():
	config.execute()
	download()

def es_map_start(ev):
	download()

def round_end(ev):
	if ev['winner'] == '2':
		es.cexec_all('r_screenoverlay', TPath)
		gamethread.delayed(Time, stop)
	elif ev['winner'] == '3':
		es.cexec_all('r_screenoverlay', CTPath)
		gamethread.delayed(Time, stop)

def stop():
	es.cexec_all('r_screenoverlay', 'null')

def download():
	es.stringtable('downloadables', 'materials/%s' %(CTPath))
	es.stringtable('downloadables', 'materials/%s' %(str(CTPath).replace('vtf', 'vmt')))
	es.stringtable('downloadables', 'materials/%s' %(TPath))
	es.stringtable('downloadables', 'materials/%s' %(str(TPath).replace('vtf', 'vmt')))